Skip to main content
GET
/
v1
/
messages
Get administration messages
curl --request GET \
  --url https://api.paytsoftware.com/v1/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "sender_type": "<string>",
      "subject": "<string>",
      "read_by_user": {
        "id": "<string>",
        "name": "<string>",
        "email_address": "<string>"
      },
      "administration_id": "<string>",
      "credit_case_id": "<string>",
      "debtor_id": "<string>",
      "id": "<string>",
      "invoice_id": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "received_at": "2023-11-07T05:31:56Z",
      "read_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "content": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

ids
string

Filter messages with a comma separated list of internal ids

debtor_ids
string

Filter messages with a comma separated list of internal debtor ids

invoice_ids
string

Filter messages with a comma separated list of internal invoice ids

credit_case_ids
string

Filter messages with a comma separated list of internal credit_case ids

updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Paginated list of messages

CustomerApi_MessagesPageEntity model

data
object[]
required

Message

pagination
object

Pagination details

Last modified on June 12, 2026